-- Name: RAT-011 - Traffic at Nellis AFB
-- Author: funkyfranky
-- Date Created: 24 Sep 2017
--
-- # Situation:
--
-- We want to generate some random air traffic at Nellis AFB.
-- 
-- # Test cases:
--
-- 1. F-15C are spawned at Nellis with desitation Tonopah, Groom Lake or Creech.
-- 2. A-10C are spawned at Nellis with desitation Tonopah, Groom Lake or Creech.
-- 3. F/A-18C are spawned at Tonopah, Groom Lake or Creech and fly to Nellis.
-- 4. KC-135 are spawned in air at two zones heading for Nellis.

-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Creat RAT object from F/A-18C template.
local f18=RAT:New("RAT_A400M")

-- Departure airports.
f18:SetDeparture({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Destination Nellis.
f18:SetDestination({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Spawn three flights.
f18:Spawn(2)
-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Creat RAT object from F/A-18C template.
local f18=RAT:New("RAT_B2")

-- Departure airports.
f18:SetDeparture({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Destination Nellis.
f18:SetDestination({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Spawn three flights.
f18:Spawn(2)

-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Creat RAT object from F/A-18C template.
local f18=RAT:New("RAT_C5")

-- Departure airports.
f18:SetDeparture({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Destination Nellis.
f18:SetDestination({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Spawn three flights.
f18:Spawn(4)

-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Creat RAT object from F/A-18C template.
local f18=RAT:New("RAT_PC3")

-- Departure airports.
f18:SetDeparture({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Destination Nellis.
f18:SetDestination({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Spawn three flights.
f18:Spawn(2)

-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Creat RAT object from F/A-18C template.
local f18=RAT:New("RAT_C130")

-- Departure airports.
f18:SetDeparture({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Destination Nellis.
f18:SetDestination({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Spawn three flights.
f18:Spawn(4)

-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Creat RAT object from F/A-18C template.
local f18=RAT:New("RAT_F22")

-- Departure airports.
f18:SetDeparture({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Destination Nellis.
f18:SetDestination({"Incirlik", "Bassel_Al_Assad", "Hatay", "Akrotiri", "Ercan", "Ramat_David", "Rene_Mouawad", "Jirah", "Gaziantep", "Rene_Mouawad", "Gazipasa", "H3", "Abu_al_Duhur", "Rayak"})

-- Spawn three flights.
f18:Spawn(4)

-- -----------------------------------------------------------------------------------------------------------------------------------------------------------------
